;;; fflin.asm  FreeForth kernel, Linux specific port
;;; $Id: fflin.asm,v 1.2 2006/05/31 00:25:48 lavarenn Exp $

;;; -------------------------------------------------------
;;; Typical compile command (with http://flatassembler.net):
;;; if ffdl ; i.e. with dynamic-link-library support
;;;   fasm fflin.asm ff.o
;;;   gcc ff.o -o ff -s -rdynamic -nostartfiles -ldl
;;; else
;;;   fasm fflin.asm ff
;;; end if

;;; -----------------------------------------------------------------------
;;; OSFORMAT specifies the Operating-System specific executable file format

macro OSFORMAT {

ffdl=1                  ; withDynamicLinkLibrary support; commented=without

if defined ffdl

format elf
section '.flat' writeable executable
public _start

else

format elf executable           ; no extrn with this format
entry _start

end if

}

;;; -----------------------------------------------------
;;; OSINCLUDE defines OS-specific ASM source to "include"

macro OSINCLUDE { include "fflinio.asm" }

;;; -----------------------------------------------------
;;; OSFILE defines OS-specific FF source to "file"

macro OSFILE { file "fflin.boot" }

;;; -----------------------------------------------------
;;; all macros ready: compile all:

include "ff.asm"

;;; That's all folks!!
